Subject: Re: Obsoleting mail/hashcash.el

From: Stefan Kangas <[email-masked]>
Date: Mon, 24 Feb 2025 21:53:47 +0000

Version: 31.1

Andrew Cohen <[email-masked]> writes:

>>>>>> "SK" == Stefan Kangas <[email-masked]> writes:
>
>     SK> Stefan Kangas <[email-masked]> writes:
>     >> Severity: wishlist
>     >>
>     >> The mail/hashcash.el library implements an Emacs wrapper around
>     >> hashcash, where the idea was that you added a small amount of
>     >> "proof of work" to an Email header, which if everyone used it
>     >> would be expensive for spammers:
>     >>
>
> [...]
>
>     >> This might be nice in theory, but it is irrelevant as an
>     >> anti-spam measure on today's internet, since almost no one uses
>     >> it.  Let's not mislead users to waste energy using it.
>     >>
>     >> I suggest that we mark it as obsolete.
>
> An informal survey on emacs.gnus.general suggests no one is using it
> (although only a tiny number of responses).
>
> I suggest making to obsolete.

Thanks!  Done in commit 250f4214752, 074b32d53f7, and 706970fc25d.

I'm therefore closing this bug report.